package com.winhc.returnmoney.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description UserExt实体对象
 * @author Generator
 * @date 2020-12-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("USER_EXT")
@ApiModel(value="UserExt实体对象", description="")
public class UserExt implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("USER_ID")
    private Long userId;

    @TableField("MOBILE_NO")
    private String mobileNo;

    @TableField("EMAIL")
    private String email;

    @ApiModelProperty(value = "0当事人；1律师；")
    @TableField("USER_TYPE")
    private String userType;

    @ApiModelProperty(value = "Y是；N否")
    @TableField("IS_AGENCY")
    private String isAgency;

    @TableField("USER_NAME")
    private String userName;

    @ApiModelProperty(value = "1身份证；2营业执照；")
    @TableField("ID_TYPE")
    private String idType;

    @TableField("ID_NO")
    private String idNo;

    @TableField("INVITE_CODE")
    private String inviteCode;

    @TableField("LAWFIRM_NAME")
    private String lawfirmName;

    @TableField("LAWYER_NO")
    private String lawyerNo;

    @TableField("ADV_AREA")
    private String advArea;

    @ApiModelProperty(value = "可选多个案件类型标签")
    @TableField("ADV_FIELD")
    private String advField;

    @TableField("LIGHT_VALUE")
    private Integer lightValue;

    @TableField("PROVINCE")
    private String province;

    @TableField("CITY")
    private String city;

    @TableField("LAWYER_YEAR")
    private Integer lawyerYear;

    @TableField("HERO_TAG")
    private String heroTag;

    @ApiModelProperty(value = "0:未认证；1待认证；2已认证；3认证失败")
    @TableField("LAWYER_STATUS")
    private String lawyerStatus;

    @TableField("LAWYER_NO_PIC")
    private String lawyerNoPic;

    @TableField("FACE_ID_NO")
    private String faceIdNo;

    @TableField("AUDIT_DEMO")
    private String auditDemo;

    @TableField("LAWYER_DUTY")
    private String lawyerDuty;

    @ApiModelProperty(value = "律师等级:A、B、C")
    @TableField("LAWYER_LEVER")
    private String lawyerLever;

    @ApiModelProperty(value = "0：VIP；1：非VIP")
    @TableField("VIP_SIGN")
    private String vipSign;

    @TableField("VIP_START_TIME")
    private LocalDateTime vipStartTime;

    @TableField("VIP_END_TIME")
    private LocalDateTime vipEndTime;

    @ApiModelProperty(value = "个人VIP结束时间")
    @TableField("PERSON_VIP_END_TIME")
    private LocalDateTime personVipEndTime;

    @ApiModelProperty(value = "用户选择身份(1、商务人士  2、认证律师  3、企业法务 4、其他)")
    @TableField("IDENTITY")
    private String identity;


}
