package com.winhc.returnmoney.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @description AccountBillPayer实体对象
 * @author Generator
 * @date 2020-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ACCOUNT_BILL_PAYER")
@ApiModel(value="AccountBillPayer实体对象", description="账款付款人明细表")
public class AccountBillPayer implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "账款id")
    @TableField("ACCOUNT_BILL_ID")
    private Long accountBillId;

    @ApiModelProperty(value = "付款公司名称")
    @TableField("PAYER_NAME")
    private String payerName;

    @ApiModelProperty(value = "付款公司CID")
    @TableField("PAYER_CID")
    private String payerCid;

    @ApiModelProperty(value = "付款公司companyId")
    @TableField("PAYER_COMPANY_ID")
    private String payerCompanyId;

    @ApiModelProperty(value = "付款公司LOGO")
    @TableField("PAYER_LOGO")
    private String payerLogo;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    private LocalDateTime timeCreated;


}
