//package com.winhc.returnmoney.util;
//
//import com.winhc.returnmoney.model.bo.AspectRequestBO;
//import io.swagger.annotations.ApiOperation;
//import org.aspectj.lang.Signature;
//import org.aspectj.lang.reflect.MethodSignature;
//import org.springframework.web.bind.annotation.*;
//
//import java.lang.annotation.Annotation;
//
///**
// * @description: controller工具类
// * @author: yujie
// * @date 2019.11.27 14:47
// */
//public class MethodControlUtil {
//
//    /**
//     * 获取Controller方法信息
//     * @param signature
//     * @return
//     * @throws ClassNotFoundException
//     */
//    public static AspectRequestBO getMethod(Signature signature) throws ClassNotFoundException {
//        String className = signature.getDeclaringTypeName();
//        // 获取根路径
//        String parentPath = "";
//        Class cl = Class.forName(className);
//        RequestMapping anno = (RequestMapping) cl.getAnnotation(RequestMapping.class);
//        if (anno != null) {
//            parentPath = getValues(anno.value());
//        }
//        // 获取请求方式
//        MethodSignature methodSignature = (MethodSignature) signature;
//        Annotation[] annotations = methodSignature.getMethod().getDeclaredAnnotations();
//        String path = "",method="",des="";
//        if (annotations != null) {
//            for (Annotation n:annotations) {
//                if (n instanceof GetMapping) {
//                    GetMapping gn = (GetMapping)n;
//                    path = parentPath + getValues(gn.value());
//                    method = "GET";
//                } else if (n instanceof PostMapping) {
//                    PostMapping gn = (PostMapping)n;
//                    path = parentPath + getValues(gn.value());
//                    method = "POST";
//                } else if (n instanceof PutMapping) {
//                    PutMapping gn = (PutMapping)n;
//                    path = parentPath + getValues(gn.value());
//                    method = "PUT";
//                } else if (n instanceof DeleteMapping) {
//                    DeleteMapping gn = (DeleteMapping)n;
//                    path = parentPath + getValues(gn.value());
//                    method = "DELETE";
//                }
//                if (n instanceof ApiOperation) {
//                    ApiOperation an = (ApiOperation)n;
//                    des = an.value();
//                }
//            }
//        }
//        return new AspectRequestBO(method,path,des);
//    }
//
//    private static String getValues(String[] values) {
//        StringBuilder builder = new StringBuilder();
//        for (String v : values) {
//            builder.append(v);
//        }
//        return builder.toString();
//    }
//}
